/*  mp.h
 *
 *  This include file contains all the constants and structures associated
 *  with the Multiprocessing Manager.
 *
 *  COPYRIGHT (c) 1989-1998.
 *  On-Line Applications Research Corporation (OAR).
 *  Copyright assigned to U.S. Government, 1994.
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.OARcorp.com/rtems/license.html.
 *
 *  $Id: mp.h,v 1.6 1998/02/17 23:44:04 joel Exp $
 */

#ifndef __RTEMS_MP_h
#define __RTEMS_MP_h

#ifdef __cplusplus
extern "C" {
#endif

/*
 *
 *  _Multiprocessing_Manager_initialization
 *
 *  DESCRIPTION:
 *
 *  This routine performs the initialization necessary for this manager.
 */

void _Multiprocessing_Manager_initialization ( void );

/*
 *
 *  rtems_multiprocessing_announce
 *
 *  DESCRIPTION:
 *
 *  This routine implements the MULTIPROCESSING_ANNOUNCE directive.
 *  It is invoked by the MPCI layer to indicate that an MPCI packet
 *  has been received.
 */

void rtems_multiprocessing_announce ( void );

#ifdef __cplusplus
}
#endif

#endif
/*  end of include file */
