/*  null_read
 *
 *  This routine is the null device driver read routine.
 *
 *  Derived from rtems' stub driver.
 *
 *  Author: Ralf Corsepius (corsepiu@faw.uni-ulm.de)
 *
 *  Input parameters:
 *    major - device major number
 *    minor - device minor number
 *    pargp - pointer to read parameter block
 *
 *  Output parameters:
 *    rval       - NULL_SUCCESSFUL
 *
 *  COPYRIGHT (c) 1989-1998.
 *  On-Line Applications Research Corporation (OAR).
 *  Copyright assigned to U.S. Government, 1994.
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.OARcorp.com/rtems/license.html.
 *
 *  $Id: read.c,v 1.1 1998/03/20 17:20:41 joel Exp $
 */

#include <rtems.h>
#include <sh/null.h>

rtems_device_driver null_read(
  rtems_device_major_number major,
  rtems_device_minor_number minor,
  void *pargp
)
{
  return NULL_SUCCESSFUL;
}
