/*  Stub_initialize
 *
 *  This routine is the terminal driver init routine.
 *
 *  Input parameters:
 *    major - device major number
 *    minor - device minor number
 *    pargp - pointer to parameter block
 *
 *  Output parameters:
 *    rval       - STUB_SUCCESSFUL
 *
 *  COPYRIGHT (c) 1989-1998.
 *  On-Line Applications Research Corporation (OAR).
 *  Copyright assigned to U.S. Government, 1994.
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.OARcorp.com/rtems/license.html.
 *
 *  $Id: init.c,v 1.7 1998/02/17 23:46:14 joel Exp $
 */

#include <rtems.h>
#include "stubdrv.h"

rtems_unsigned32 STUB_major;

rtems_device_driver Stub_initialize(
  rtems_device_major_number major,
  rtems_device_minor_number minor,
  void *pargp
)
{
  STUB_major = major;
  return STUB_SUCCESSFUL;
}
